# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.saml.util.impl.DecryptionProcessor

Packages that use DecryptionProcessor
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.

## Uses of DecryptionProcessor in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as DecryptionProcessor
Modifier and Type
Field
Description
`private DecryptionProcessor`
SAMLDataConnector.`decryptionProcessor`
Decryption processor.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return DecryptionProcessor
Modifier and Type
Method
Description
`DecryptionProcessor`
SAMLDataConnector.`getDecryptionProcessor()`
Get the decryption processor.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type DecryptionProcessor
Modifier and Type
Method
Description
`void`
SAMLDataConnector.`setDecryptionProcessor(DecryptionProcessor processor)`
Set the decryption processor.